Bump the perl version in various places for 5.27.7
authorKaren Etheridge <ether@cpan.org>
Mon, 20 Nov 2017 23:16:15 +0000 (15:16 -0800)
committerKaren Etheridge <ether@cpan.org>
Mon, 20 Nov 2017 23:25:20 +0000 (15:25 -0800)
22 files changed:
Cross/config.sh-arm-linux
Cross/config.sh-arm-linux-n770
INSTALL
META.json
META.yml
NetWare/Makefile
NetWare/config_H.wc
Porting/config.sh
Porting/config_H
Porting/perldelta_template.pod
README.haiku
README.macosx
README.os2
README.vms
hints/catamount.sh
lib/B/Op_private.pm
patchlevel.h
plan9/config.plan9
plan9/config_sh.sample
win32/GNUmakefile
win32/Makefile
win32/makefile.mk

index 711f58c..c7aa9ea 100644 (file)
@@ -31,12 +31,12 @@ afsroot='/afs'
 alignbytes='4'
 aphostname='/bin/hostname'
 api_revision='5'
-api_subversion='6'
+api_subversion='7'
 api_version='27'
-api_versionstring='5.27.6'
+api_versionstring='5.27.7'
 ar='ar'
-archlib='/usr/lib/perl5/5.27.6/armv4l-linux'
-archlibexp='/usr/lib/perl5/5.27.6/armv4l-linux'
+archlib='/usr/lib/perl5/5.27.7/armv4l-linux'
+archlibexp='/usr/lib/perl5/5.27.7/armv4l-linux'
 archname64=''
 archname='armv4l-linux'
 archobjs=''
@@ -55,7 +55,7 @@ castflags='0'
 cat='cat'
 cc='cc'
 cccdlflags='-fpic'
-ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.27.6/armv4l-linux/CORE'
+ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.27.7/armv4l-linux/CORE'
 ccflags='-fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
 ccflags_uselargefiles='-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
 ccname='arm-linux-gcc'
@@ -813,7 +813,7 @@ inc_version_list=' '
 inc_version_list_init='0'
 incpath=''
 inews=''
-installarchlib='./install_me_here/usr/lib/perl5/5.27.6/armv4l-linux'
+installarchlib='./install_me_here/usr/lib/perl5/5.27.7/armv4l-linux'
 installbin='./install_me_here/usr/bin'
 installhtml1dir=''
 installhtml3dir=''
@@ -821,13 +821,13 @@ installman1dir='./install_me_here/usr/share/man/man1'
 installman3dir='./install_me_here/usr/share/man/man3'
 installprefix='./install_me_here/usr'
 installprefixexp='./install_me_here/usr'
-installprivlib='./install_me_here/usr/lib/perl5/5.27.6'
+installprivlib='./install_me_here/usr/lib/perl5/5.27.7'
 installscript='./install_me_here/usr/bin'
-installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.27.6/armv4l-linux'
+installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.27.7/armv4l-linux'
 installsitebin='./install_me_here/usr/bin'
 installsitehtml1dir=''
 installsitehtml3dir=''
-installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.27.6'
+installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.27.7'
 installsiteman1dir='./install_me_here/usr/share/man/man1'
 installsiteman3dir='./install_me_here/usr/share/man/man3'
 installsitescript='./install_me_here/usr/bin'
@@ -961,8 +961,8 @@ pmake=''
 pr=''
 prefix='/usr'
 prefixexp='/usr'
-privlib='/usr/lib/perl5/5.27.6'
-privlibexp='/usr/lib/perl5/5.27.6'
+privlib='/usr/lib/perl5/5.27.7'
+privlibexp='/usr/lib/perl5/5.27.7'
 procselfexe='"/proc/self/exe"'
 prototype='define'
 ptrsize='4'
@@ -1027,17 +1027,17 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26
 sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 6, 17, 29, 31, 0'
 sig_size='68'
 signal_t='void'
-sitearch='/usr/lib/perl5/site_perl/5.27.6/armv4l-linux'
-sitearchexp='/usr/lib/perl5/site_perl/5.27.6/armv4l-linux'
+sitearch='/usr/lib/perl5/site_perl/5.27.7/armv4l-linux'
+sitearchexp='/usr/lib/perl5/site_perl/5.27.7/armv4l-linux'
 sitebin='/usr/bin'
 sitebinexp='/usr/bin'
 sitehtml1dir=''
 sitehtml1direxp=''
 sitehtml3dir=''
 sitehtml3direxp=''
-sitelib='/usr/lib/perl5/site_perl/5.27.6'
+sitelib='/usr/lib/perl5/site_perl/5.27.7'
 sitelib_stem='/usr/lib/perl5/site_perl'
-sitelibexp='/usr/lib/perl5/site_perl/5.27.6'
+sitelibexp='/usr/lib/perl5/site_perl/5.27.7'
 siteman1dir='/usr/share/man/man1'
 siteman1direxp='/usr/share/man/man1'
 siteman3dir='/usr/share/man/man3'
@@ -1076,7 +1076,7 @@ stdio_stream_array=''
 strerror_r_proto='0'
 strings='/usr/include/string.h'
 submit=''
-subversion='6'
+subversion='7'
 sysman='/usr/share/man/man1'
 tail=''
 tar=''
@@ -1167,8 +1167,8 @@ vendorprefix=''
 vendorprefixexp=''
 vendorscript=''
 vendorscriptexp=''
-version='5.27.6'
-version_patchlevel_string='version 27 subversion 6'
+version='5.27.7'
+version_patchlevel_string='version 27 subversion 7'
 versiononly='undef'
 vi=''
 xlibpth='/usr/lib/386 /lib/386'
@@ -1182,9 +1182,9 @@ config_args=''
 config_argc=0
 PERL_REVISION=5
 PERL_VERSION=27
-PERL_SUBVERSION=6
+PERL_SUBVERSION=7
 PERL_API_REVISION=5
 PERL_API_VERSION=27
-PERL_API_SUBVERSION=6
+PERL_API_SUBVERSION=7
 PERL_PATCHLEVEL=
 PERL_CONFIG_SH=true
index 782095f..0646dcd 100644 (file)
@@ -31,12 +31,12 @@ afsroot='/afs'
 alignbytes='4'
 aphostname='/bin/hostname'
 api_revision='5'
-api_subversion='6'
+api_subversion='7'
 api_version='27'
-api_versionstring='5.27.6'
+api_versionstring='5.27.7'
 ar='ar'
-archlib='/usr/lib/perl5/5.27.6/armv4l-linux'
-archlibexp='/usr/lib/perl5/5.27.6/armv4l-linux'
+archlib='/usr/lib/perl5/5.27.7/armv4l-linux'
+archlibexp='/usr/lib/perl5/5.27.7/armv4l-linux'
 archname64=''
 archname='armv4l-linux'
 archobjs=''
@@ -54,7 +54,7 @@ castflags='0'
 cat='cat'
 cc='arm-none-linux-gnueabi-gcc'
 cccdlflags='-fpic'
-ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.27.6/armv4l-linux/CORE'
+ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.27.7/armv4l-linux/CORE'
 ccflags='-fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
 ccflags_uselargefiles='-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
 ccname='arm-linux-gcc'
@@ -811,7 +811,7 @@ inc_version_list=' '
 inc_version_list_init='0'
 incpath=''
 inews=''
-installarchlib='./install_me_here/usr/lib/perl5/5.27.6/armv4l-linux'
+installarchlib='./install_me_here/usr/lib/perl5/5.27.7/armv4l-linux'
 installbin='./install_me_here/usr/bin'
 installhtml1dir=''
 installhtml3dir=''
@@ -819,13 +819,13 @@ installman1dir='./install_me_here/usr/share/man/man1'
 installman3dir='./install_me_here/usr/share/man/man3'
 installprefix='./install_me_here/usr'
 installprefixexp='./install_me_here/usr'
-installprivlib='./install_me_here/usr/lib/perl5/5.27.6'
+installprivlib='./install_me_here/usr/lib/perl5/5.27.7'
 installscript='./install_me_here/usr/bin'
-installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.27.6/armv4l-linux'
+installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.27.7/armv4l-linux'
 installsitebin='./install_me_here/usr/bin'
 installsitehtml1dir=''
 installsitehtml3dir=''
-installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.27.6'
+installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.27.7'
 installsiteman1dir='./install_me_here/usr/share/man/man1'
 installsiteman3dir='./install_me_here/usr/share/man/man3'
 installsitescript='./install_me_here/usr/bin'
@@ -959,8 +959,8 @@ pmake=''
 pr=''
 prefix='/usr'
 prefixexp='/usr'
-privlib='/usr/lib/perl5/5.27.6'
-privlibexp='/usr/lib/perl5/5.27.6'
+privlib='/usr/lib/perl5/5.27.7'
+privlibexp='/usr/lib/perl5/5.27.7'
 procselfexe='"/proc/self/exe"'
 prototype='define'
 ptrsize='4'
@@ -1025,17 +1025,17 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26
 sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 6, 17, 29, 31, 0'
 sig_size='68'
 signal_t='void'
-sitearch='/usr/lib/perl5/site_perl/5.27.6/armv4l-linux'
-sitearchexp='/usr/lib/perl5/site_perl/5.27.6/armv4l-linux'
+sitearch='/usr/lib/perl5/site_perl/5.27.7/armv4l-linux'
+sitearchexp='/usr/lib/perl5/site_perl/5.27.7/armv4l-linux'
 sitebin='/usr/bin'
 sitebinexp='/usr/bin'
 sitehtml1dir=''
 sitehtml1direxp=''
 sitehtml3dir=''
 sitehtml3direxp=''
-sitelib='/usr/lib/perl5/site_perl/5.27.6'
+sitelib='/usr/lib/perl5/site_perl/5.27.7'
 sitelib_stem='/usr/lib/perl5/site_perl'
-sitelibexp='/usr/lib/perl5/site_perl/5.27.6'
+sitelibexp='/usr/lib/perl5/site_perl/5.27.7'
 siteman1dir='/usr/share/man/man1'
 siteman1direxp='/usr/share/man/man1'
 siteman3dir='/usr/share/man/man3'
@@ -1074,7 +1074,7 @@ stdio_stream_array=''
 strerror_r_proto='0'
 strings='/usr/include/string.h'
 submit=''
-subversion='6'
+subversion='7'
 sysman='/usr/share/man/man1'
 tail=''
 tar=''
@@ -1165,8 +1165,8 @@ vendorprefix=''
 vendorprefixexp=''
 vendorscript=''
 vendorscriptexp=''
-version='5.27.6'
-version_patchlevel_string='version 27 subversion 6'
+version='5.27.7'
+version_patchlevel_string='version 27 subversion 7'
 versiononly='undef'
 vi=''
 xlibpth='/usr/lib/386 /lib/386'
@@ -1180,9 +1180,9 @@ config_args=''
 config_argc=0
 PERL_REVISION=5
 PERL_VERSION=27
-PERL_SUBVERSION=6
+PERL_SUBVERSION=7
 PERL_API_REVISION=5
 PERL_API_VERSION=27
-PERL_API_SUBVERSION=6
+PERL_API_SUBVERSION=7
 PERL_PATCHLEVEL=
 PERL_CONFIG_SH=true
diff --git a/INSTALL b/INSTALL
index 4f8f2e5..b307728 100644 (file)
--- a/INSTALL
+++ b/INSTALL
@@ -609,7 +609,7 @@ The directories set up by Configure fall into three broad categories.
 
 =item Directories for the perl distribution
 
-By default, Configure will use the following directories for 5.27.6.
+By default, Configure will use the following directories for 5.27.7.
 $version is the full perl version number, including subversion, e.g.
 5.12.3, and $archname is a string like sun4-sunos,
 determined by Configure.  The full definitions of all Configure
@@ -2440,7 +2440,7 @@ http://www.chiark.greenend.org.uk/~sgtatham/bugs.html
 
 =head1 Coexistence with earlier versions of perl 5
 
-Perl 5.27.6 is not binary compatible with earlier versions of Perl.
+Perl 5.27.7 is not binary compatible with earlier versions of Perl.
 In other words, you will have to recompile your XS modules.
 
 In general, you can usually safely upgrade from one version of Perl
@@ -2515,9 +2515,9 @@ won't interfere with another version.  (The defaults guarantee this for
 libraries after 5.6.0, but not for executables. TODO?)  One convenient
 way to do this is by using a separate prefix for each version, such as
 
-       sh Configure -Dprefix=/opt/perl5.27.6
+       sh Configure -Dprefix=/opt/perl5.27.7
 
-and adding /opt/perl5.27.6/bin to the shell PATH variable.  Such users
+and adding /opt/perl5.27.7/bin to the shell PATH variable.  Such users
 may also wish to add a symbolic link /usr/local/bin/perl so that
 scripts can still start with #!/usr/local/bin/perl.
 
@@ -2530,13 +2530,13 @@ seriously consider using a separate directory, since development
 subversions may not have all the compatibility wrinkles ironed out
 yet.
 
-=head2 Upgrading from 5.27.5 or earlier
+=head2 Upgrading from 5.27.6 or earlier
 
-B<Perl 5.27.6 may not be binary compatible with Perl 5.27.5 or
+B<Perl 5.27.7 may not be binary compatible with Perl 5.27.6 or
 earlier Perl releases.>  Perl modules having binary parts
 (meaning that a C compiler is used) will have to be recompiled to be
-used with 5.27.6.  If you find you do need to rebuild an extension with
-5.27.6, you may safely do so without disturbing the older
+used with 5.27.7.  If you find you do need to rebuild an extension with
+5.27.7, you may safely do so without disturbing the older
 installations.  (See L<"Coexistence with earlier versions of perl 5">
 above.)
 
@@ -2569,15 +2569,15 @@ Firstly, the bare minimum to run this script
      print("$f\n");
   }
 
-in Linux with perl-5.27.6 is as follows (under $Config{prefix}):
+in Linux with perl-5.27.7 is as follows (under $Config{prefix}):
 
   ./bin/perl
-  ./lib/perl5/5.27.6/strict.pm
-  ./lib/perl5/5.27.6/warnings.pm
-  ./lib/perl5/5.27.6/i686-linux/File/Glob.pm
-  ./lib/perl5/5.27.6/feature.pm
-  ./lib/perl5/5.27.6/XSLoader.pm
-  ./lib/perl5/5.27.6/i686-linux/auto/File/Glob/Glob.so
+  ./lib/perl5/5.27.7/strict.pm
+  ./lib/perl5/5.27.7/warnings.pm
+  ./lib/perl5/5.27.7/i686-linux/File/Glob.pm
+  ./lib/perl5/5.27.7/feature.pm
+  ./lib/perl5/5.27.7/XSLoader.pm
+  ./lib/perl5/5.27.7/i686-linux/auto/File/Glob/Glob.so
 
 Secondly, for perl-5.10.1, the Debian perl-base package contains 591
 files, (of which 510 are for lib/unicore) totaling about 3.5MB in its
index fb4f4c7..7ce0719 100644 (file)
--- a/META.json
+++ b/META.json
          "url" : "http://perl5.git.perl.org/"
       }
    },
-   "version" : "5.027006",
+   "version" : "5.027007",
    "x_serialization_backend" : "JSON::PP version 2.94"
 }
index aa90a12..7077379 100644 (file)
--- a/META.yml
+++ b/META.yml
@@ -114,5 +114,5 @@ resources:
   homepage: http://www.perl.org/
   license: http://dev.perl.org/licenses/
   repository: http://perl5.git.perl.org/
-version: '5.027006'
+version: '5.027007'
 x_serialization_backend: 'CPAN::Meta::YAML version 0.018'
index e86224d..42e1f1b 100644 (file)
@@ -86,7 +86,7 @@ NLM_VERSION    = 3,20,0
 
 
 # Here comes the CW tools - TO BE FILLED TO BUILD WITH CW -
-MODULE_DESC     = "Perl 5.27.6 for NetWare"
+MODULE_DESC     = "Perl 5.27.7 for NetWare"
 CCTYPE          = CodeWarrior
 C_COMPILER             = mwccnlm -c
 CPP_COMPILER   = mwccnlm
@@ -462,7 +462,7 @@ INST_NW_TOP2 = $(INST_NW_DRV)\perl
 # versioned installation can be obtained by setting INST_TOP above to a
 # path that includes an arbitrary version string.
 #
-INST_VER       = \5.27.6
+INST_VER       = \5.27.7
 
 #
 # Comment this out if you DON'T want your perl installation to have
index 164de99..bcc8bec 100644 (file)
  *     This symbol contains the ~name expanded version of ARCHLIB, to be used
  *     in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define ARCHLIB "c:\\perl\\5.27.6\\lib\\NetWare-x86-multi-thread"              /**/
+#define ARCHLIB "c:\\perl\\5.27.7\\lib\\NetWare-x86-multi-thread"              /**/
 /*#define ARCHLIB_EXP ""       /**/
 
 /* ARCHNAME:
  *     This symbol is the filename expanded version of the BIN symbol, for
  *     programs that do not want to deal with that at run-time.
  */
-#define BIN "c:\\perl\\5.27.6\\bin\\NetWare-x86-multi-thread"  /**/
-#define BIN_EXP "c:\\perl\\5.27.6\\bin\\NetWare-x86-multi-thread"      /**/
+#define BIN "c:\\perl\\5.27.7\\bin\\NetWare-x86-multi-thread"  /**/
+#define BIN_EXP "c:\\perl\\5.27.7\\bin\\NetWare-x86-multi-thread"      /**/
 
 /* BYTEORDER:
  *     This symbol holds the hexadecimal constant defined in byteorder,
  *     This symbol contains the ~name expanded version of SITEARCH, to be used
  *     in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define SITEARCH "c:\\perl\\site\\5.27.6\\lib\\NetWare-x86-multi-thread"               /**/
+#define SITEARCH "c:\\perl\\site\\5.27.7\\lib\\NetWare-x86-multi-thread"               /**/
 /*#define SITEARCH_EXP ""      /**/
 
 /* SITELIB:
  *     removed.  The elements in inc_version_list (inc_version_list.U) can
  *     be tacked onto this variable to generate a list of directories to search.
  */
-#define SITELIB "c:\\perl\\site\\5.27.6\\lib"          /**/
+#define SITELIB "c:\\perl\\site\\5.27.7\\lib"          /**/
 /*#define SITELIB_EXP ""       /**/
 #define SITELIB_STEM ""                /**/
 
index a56b553..651c2a6 100644 (file)
@@ -38,12 +38,12 @@ afsroot='/afs'
 alignbytes='8'
 aphostname='/bin/hostname'
 api_revision='5'
-api_subversion='6'
+api_subversion='7'
 api_version='27'
-api_versionstring='5.27.6'
+api_versionstring='5.27.7'
 ar='ar'
-archlib='/tmp/blead/lib/perl5/5.27.6/x86_64-linux'
-archlibexp='/tmp/blead/lib/perl5/5.27.6/x86_64-linux'
+archlib='/tmp/blead/lib/perl5/5.27.7/x86_64-linux'
+archlibexp='/tmp/blead/lib/perl5/5.27.7/x86_64-linux'
 archname64=''
 archname='x86_64-linux'
 archobjs=''
@@ -831,7 +831,7 @@ incpath=''
 incpth='/usr/lib/gcc/x86_64-linux-gnu/4.9/include /usr/local/include /usr/lib/gcc/x86_64-linux-gnu/4.9/include-fixed /usr/include/x86_64-linux-gnu /usr/include'
 inews=''
 initialinstalllocation='/tmp/blead/bin'
-installarchlib='/tmp/blead/lib/perl5/5.27.6/x86_64-linux'
+installarchlib='/tmp/blead/lib/perl5/5.27.7/x86_64-linux'
 installbin='/tmp/blead/bin'
 installhtml1dir=''
 installhtml3dir=''
@@ -839,13 +839,13 @@ installman1dir='/tmp/blead/man/man1'
 installman3dir='/tmp/blead/man/man3'
 installprefix='/tmp/blead'
 installprefixexp='/tmp/blead'
-installprivlib='/tmp/blead/lib/perl5/5.27.6'
+installprivlib='/tmp/blead/lib/perl5/5.27.7'
 installscript='/tmp/blead/bin'
-installsitearch='/tmp/blead/lib/perl5/site_perl/5.27.6/x86_64-linux'
+installsitearch='/tmp/blead/lib/perl5/site_perl/5.27.7/x86_64-linux'
 installsitebin='/tmp/blead/bin'
 installsitehtml1dir=''
 installsitehtml3dir=''
-installsitelib='/tmp/blead/lib/perl5/site_perl/5.27.6'
+installsitelib='/tmp/blead/lib/perl5/site_perl/5.27.7'
 installsiteman1dir='/tmp/blead/man/man1'
 installsiteman3dir='/tmp/blead/man/man3'
 installsitescript='/tmp/blead/bin'
@@ -970,7 +970,7 @@ perl_patchlevel=''
 perl_static_inline='static __inline__'
 perladmin='arc@cpan.org'
 perllibs='-lpthread -lnsl -ldl -lm -lcrypt -lutil -lc'
-perlpath='/tmp/blead/bin/perl5.27.6'
+perlpath='/tmp/blead/bin/perl5.27.7'
 pg='pg'
 phostname='hostname'
 pidtype='pid_t'
@@ -979,8 +979,8 @@ pmake=''
 pr=''
 prefix='/tmp/blead'
 prefixexp='/tmp/blead'
-privlib='/tmp/blead/lib/perl5/5.27.6'
-privlibexp='/tmp/blead/lib/perl5/5.27.6'
+privlib='/tmp/blead/lib/perl5/5.27.7'
+privlibexp='/tmp/blead/lib/perl5/5.27.7'
 procselfexe='"/proc/self/exe"'
 ptrsize='8'
 quadkind='2'
@@ -1045,17 +1045,17 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26
 sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 6, 17, 29, 31, 0'
 sig_size='69'
 signal_t='void'
-sitearch='/tmp/blead/lib/perl5/site_perl/5.27.6/x86_64-linux'
-sitearchexp='/tmp/blead/lib/perl5/site_perl/5.27.6/x86_64-linux'
+sitearch='/tmp/blead/lib/perl5/site_perl/5.27.7/x86_64-linux'
+sitearchexp='/tmp/blead/lib/perl5/site_perl/5.27.7/x86_64-linux'
 sitebin='/tmp/blead/bin'
 sitebinexp='/tmp/blead/bin'
 sitehtml1dir=''
 sitehtml1direxp=''
 sitehtml3dir=''
 sitehtml3direxp=''
-sitelib='/tmp/blead/lib/perl5/site_perl/5.27.6'
+sitelib='/tmp/blead/lib/perl5/site_perl/5.27.7'
 sitelib_stem='/tmp/blead/lib/perl5/site_perl'
-sitelibexp='/tmp/blead/lib/perl5/site_perl/5.27.6'
+sitelibexp='/tmp/blead/lib/perl5/site_perl/5.27.7'
 siteman1dir='/tmp/blead/man/man1'
 siteman1direxp='/tmp/blead/man/man1'
 siteman3dir='/tmp/blead/man/man3'
@@ -1081,7 +1081,7 @@ src='.'
 ssizetype='ssize_t'
 st_ino_sign='1'
 st_ino_size='8'
-startperl='#!/tmp/blead/bin/perl5.27.6'
+startperl='#!/tmp/blead/bin/perl5.27.7'
 startsh='#!/bin/sh'
 static_ext=' '
 stdchar='char'
@@ -1093,7 +1093,7 @@ stdio_ptr='((fp)->_IO_read_ptr)'
 stdio_stream_array=''
 strerror_r_proto='0'
 submit=''
-subversion='6'
+subversion='7'
 sysman='/usr/share/man/man1'
 sysroot=''
 tail=''
@@ -1191,8 +1191,8 @@ vendorprefix=''
 vendorprefixexp=''
 vendorscript=''
 vendorscriptexp=''
-version='5.27.6'
-version_patchlevel_string='version 27 subversion 6'
+version='5.27.7'
+version_patchlevel_string='version 27 subversion 7'
 versiononly='define'
 vi=''
 xlibpth='/usr/lib/386 /lib/386'
@@ -1202,10 +1202,10 @@ zcat=''
 zip='zip'
 PERL_REVISION=5
 PERL_VERSION=27
-PERL_SUBVERSION=6
+PERL_SUBVERSION=7
 PERL_API_REVISION=5
 PERL_API_VERSION=27
-PERL_API_SUBVERSION=6
+PERL_API_SUBVERSION=7
 PERL_PATCHLEVEL=''
 PERL_CONFIG_SH=true
 : Variables propagated from previous config.sh file.
index d0c1b9c..69856ec 100644 (file)
  *     This symbol contains the ~name expanded version of ARCHLIB, to be used
  *     in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define ARCHLIB "/tmp/blead/lib/perl5/5.27.6/x86_64-linux"             /**/
-#define ARCHLIB_EXP "/tmp/blead/lib/perl5/5.27.6/x86_64-linux"         /**/
+#define ARCHLIB "/tmp/blead/lib/perl5/5.27.7/x86_64-linux"             /**/
+#define ARCHLIB_EXP "/tmp/blead/lib/perl5/5.27.7/x86_64-linux"         /**/
 
 /* BIN:
  *     This symbol holds the path of the bin directory where the package will
  *     This symbol contains the ~name expanded version of PRIVLIB, to be used
  *     in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define PRIVLIB "/tmp/blead/lib/perl5/5.27.6"          /**/
-#define PRIVLIB_EXP "/tmp/blead/lib/perl5/5.27.6"              /**/
+#define PRIVLIB "/tmp/blead/lib/perl5/5.27.7"          /**/
+#define PRIVLIB_EXP "/tmp/blead/lib/perl5/5.27.7"              /**/
 
 /* SITEARCH:
  *     This symbol contains the name of the private library for this package.
  *     This symbol contains the ~name expanded version of SITEARCH, to be used
  *     in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define SITEARCH "/tmp/blead/lib/perl5/site_perl/5.27.6/x86_64-linux"          /**/
-#define SITEARCH_EXP "/tmp/blead/lib/perl5/site_perl/5.27.6/x86_64-linux"              /**/
+#define SITEARCH "/tmp/blead/lib/perl5/site_perl/5.27.7/x86_64-linux"          /**/
+#define SITEARCH_EXP "/tmp/blead/lib/perl5/site_perl/5.27.7/x86_64-linux"              /**/
 
 /* SITELIB:
  *     This symbol contains the name of the private library for this package.
  *     removed.  The elements in inc_version_list (inc_version_list.U) can
  *     be tacked onto this variable to generate a list of directories to search.
  */
-#define SITELIB "/tmp/blead/lib/perl5/site_perl/5.27.6"                /**/
-#define SITELIB_EXP "/tmp/blead/lib/perl5/site_perl/5.27.6"            /**/
+#define SITELIB "/tmp/blead/lib/perl5/site_perl/5.27.7"                /**/
+#define SITELIB_EXP "/tmp/blead/lib/perl5/site_perl/5.27.7"            /**/
 #define SITELIB_STEM "/tmp/blead/lib/perl5/site_perl"          /**/
 
 /* PERL_VENDORARCH:
  *     script to make sure (one hopes) that it runs with perl and not
  *     some shell.
  */
-#define STARTPERL "#!/tmp/blead/bin/perl5.27.6"                /**/
+#define STARTPERL "#!/tmp/blead/bin/perl5.27.7"                /**/
 
 /* HAS_STDIO_STREAM_ARRAY:
  *     This symbol, if defined, tells that there is an array
index fdaaa48..414c1f4 100644 (file)
@@ -401,7 +401,7 @@ here.
 
 XXX Generate this with:
 
-  perl Porting/acknowledgements.pl v5.27.6..HEAD
+  perl Porting/acknowledgements.pl v5.27.7..HEAD
 
 =head1 Reporting Bugs
 
index 303a72a..f57c218 100644 (file)
@@ -22,9 +22,9 @@ The build procedure is completely standard:
 Make perl executable and create a symlink for libperl:
 
   chmod a+x /boot/common/bin/perl
-  cd /boot/common/lib; ln -s perl5/5.27.6/BePC-haiku/CORE/libperl.so .
+  cd /boot/common/lib; ln -s perl5/5.27.7/BePC-haiku/CORE/libperl.so .
 
-Replace C<5.27.6> with your respective version of Perl.
+Replace C<5.27.7> with your respective version of Perl.
 
 =head1 KNOWN PROBLEMS
 
index 467d0e3..8e77e51 100644 (file)
@@ -10,9 +10,9 @@ perlmacosx - Perl under Mac OS X
 
 This document briefly describes Perl under Mac OS X.
 
-  curl -O http://www.cpan.org/src/perl-5.27.6.tar.gz
-  tar -xzf perl-5.27.6.tar.gz
-  cd perl-5.27.6
+  curl -O http://www.cpan.org/src/perl-5.27.7.tar.gz
+  tar -xzf perl-5.27.7.tar.gz
+  cd perl-5.27.7
   ./Configure -des -Dprefix=/usr/local/
   make
   make test
@@ -20,7 +20,7 @@ This document briefly describes Perl under Mac OS X.
 
 =head1 DESCRIPTION
 
-The latest Perl release (5.27.6 as of this writing) builds without changes
+The latest Perl release (5.27.7 as of this writing) builds without changes
 under all versions of Mac OS X from 10.3 "Panther" onwards. 
 
 In order to build your own version of Perl you will need 'make',
index 7f01db5..0a65d93 100644 (file)
@@ -619,7 +619,7 @@ C<set PERLLIB_PREFIX> in F<Config.sys>, see L</"C<PERLLIB_PREFIX>">.
 
 =item Additional Perl modules
 
-  unzip perl_ste.zip -d f:/perllib/lib/site_perl/5.27.6/
+  unzip perl_ste.zip -d f:/perllib/lib/site_perl/5.27.7/
 
 Same remark as above applies.  Additionally, if this directory is not
 one of directories on @INC (and @INC is influenced by C<PERLLIB_PREFIX>), you
index 6d8f777..27a350b 100644 (file)
@@ -142,11 +142,11 @@ You may need to set up a foreign symbol for the unpacking utility of
 choice.  Once you have done so, use a command like the following to
 unpack the archive:
 
-    vmstar -xvf perl-5^.27^.6.tar
+    vmstar -xvf perl-5^.27^.7.tar
 
 Then set default to the top-level source directory like so:
 
-    set default [.perl-5^.27^.6]
+    set default [.perl-5^.27^.7]
 
 and proceed with configuration as described in the next section.
 
index fe0f2bf..84867e3 100644 (file)
 # mkdir -p /opt/perl-catamount
 # mkdir -p /opt/perl-catamount/include
 # mkdir -p /opt/perl-catamount/lib
-# mkdir -p /opt/perl-catamount/lib/perl5/5.27.6
+# mkdir -p /opt/perl-catamount/lib/perl5/5.27.7
 # mkdir -p /opt/perl-catamount/bin
 # cp *.h /opt/perl-catamount/include
 # cp libperl.a /opt/perl-catamount/lib
-# cp -pr lib/* /opt/perl-catamount/lib/perl5/5.27.6
+# cp -pr lib/* /opt/perl-catamount/lib/perl5/5.27.7
 # cp miniperl perl run.sh cc.sh /opt/perl-catamount/lib
 #
 # With the headers and the libperl.a you can embed Perl to your Catamount
index aaac03a..37497af 100644 (file)
@@ -118,7 +118,7 @@ package B::Op_private;
 our %bits;
 
 
-our $VERSION = "5.027006";
+our $VERSION = "5.027007";
 
 $bits{$_}{3} = 'OPpENTERSUB_AMPER' for qw(entersub rv2cv);
 $bits{$_}{6} = 'OPpENTERSUB_DB' for qw(entersub rv2cv);
index 577df3a..906d24f 100644 (file)
@@ -15,7 +15,7 @@
 
 #define PERL_REVISION  5               /* age */
 #define PERL_VERSION   27              /* epoch */
-#define PERL_SUBVERSION        6               /* generation */
+#define PERL_SUBVERSION        7               /* generation */
 
 /* The following numbers describe the earliest compatible version of
    Perl ("compatibility" here being defined as sufficient binary/API
@@ -36,7 +36,7 @@
 */
 #define PERL_API_REVISION      5
 #define PERL_API_VERSION       27
-#define PERL_API_SUBVERSION    6
+#define PERL_API_SUBVERSION    7
 /*
    XXX Note:  The selection of non-default Configure options, such
    as -Duselonglong may invalidate these settings.  Currently, Configure
index b1c566d..5888b0c 100644 (file)
  *     This symbol contains the ~name expanded version of PRIVLIB, to be used
  *     in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define PRIVLIB "/sys/lib/perl/5.27.6"         /**/
-#define PRIVLIB_EXP "/sys/lib/perl/5.27.6"             /**/
+#define PRIVLIB "/sys/lib/perl/5.27.7"         /**/
+#define PRIVLIB_EXP "/sys/lib/perl/5.27.7"             /**/
 
 /* PTRSIZE:
  *     This symbol contains the size of a pointer, so that the C preprocessor
  *     removed.  The elements in inc_version_list (inc_version_list.U) can
  *     be tacked onto this variable to generate a list of directories to search.
  */
-#define SITELIB "/sys/lib/perl/5.27.6/site_perl"               /**/
-#define SITELIB_EXP "/sys/lib/perl/5.27.6/site_perl"           /**/
-#define SITELIB_STEM "/sys/lib/perl/5.27.6/site_perl"          /**/
+#define SITELIB "/sys/lib/perl/5.27.7/site_perl"               /**/
+#define SITELIB_EXP "/sys/lib/perl/5.27.7/site_perl"           /**/
+#define SITELIB_STEM "/sys/lib/perl/5.27.7/site_perl"          /**/
 
 /* Size_t_size:
  *     This symbol holds the size of a Size_t in bytes.
index 20c4edb..9256ca8 100644 (file)
@@ -31,12 +31,12 @@ afsroot='/afs'
 alignbytes='4'
 aphostname='/bin/uname -n'
 api_revision='5'
-api_subversion='6'
+api_subversion='7'
 api_version='27'
-api_versionstring='5.27.6'
+api_versionstring='5.27.7'
 ar='ar'
-archlib='/sys/lib/perl5/5.27.6/386'
-archlibexp='/sys/lib/perl5/5.27.6/386'
+archlib='/sys/lib/perl5/5.27.7/386'
+archlibexp='/sys/lib/perl5/5.27.7/386'
 archname64=''
 archname='386'
 archobjs=''
@@ -807,17 +807,17 @@ inc_version_list=' '
 inc_version_list_init='0'
 incpath=''
 inews=''
-installarchlib='/sys/lib/perl/5.27.6/386'
+installarchlib='/sys/lib/perl/5.27.7/386'
 installbin='/usr/bin'
 installman1dir='/sys/man/1pub'
 installman3dir='/sys/man/2pub'
 installprefix='/usr'
 installprefixexp='/usr'
-installprivlib='/sys/lib/perl/5.27.6'
+installprivlib='/sys/lib/perl/5.27.7'
 installscript='/usr/bin'
-installsitearch='/sys/lib/perl/5.27.6/site_perl/386'
+installsitearch='/sys/lib/perl/5.27.7/site_perl/386'
 installsitebin='/usr/bin'
-installsitelib='/sys/lib/perl/5.27.6/site_perl'
+installsitelib='/sys/lib/perl/5.27.7/site_perl'
 installstyle='lib/perl5'
 installusrbinperl='undef'
 installvendorarch=''
@@ -942,8 +942,8 @@ pmake=''
 pr=''
 prefix='/usr'
 prefixexp='/usr'
-privlib='/sys/lib/perl/5.27.6'
-privlibexp='/sys/lib/perl/5.27.6'
+privlib='/sys/lib/perl/5.27.7'
+privlibexp='/sys/lib/perl/5.27.7'
 procselfexe=''
 prototype='define'
 ptrsize='4'
@@ -1008,13 +1008,13 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26
 sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 0'
 sig_size='50'
 signal_t='void'
-sitearch='/sys/lib/perl/5.27.6/site_perl/386'
+sitearch='/sys/lib/perl/5.27.7/site_perl/386'
 sitearchexp='/sys/lib/perl/site_perl/386'
 sitebin='/usr/bin'
 sitebinexp='/usr/bin'
-sitelib='/sys/lib/perl/5.27.6/site_perl'
-sitelib_stem='/sys/lib/perl/5.27.6/site_perl'
-sitelibexp='/sys/lib/perl/5.27.6/site_perl'
+sitelib='/sys/lib/perl/5.27.7/site_perl'
+sitelib_stem='/sys/lib/perl/5.27.7/site_perl'
+sitelibexp='/sys/lib/perl/5.27.7/site_perl'
 siteprefix='/usr'
 siteprefixexp='/usr'
 sizesize='4'
@@ -1047,7 +1047,7 @@ stdio_stream_array=''
 strerror_r_proto='0'
 strings='/sys/include/ape/string.h'
 submit=''
-subversion='6'
+subversion='7'
 sysman='/sys/man/1pub'
 tail=''
 tar=''
@@ -1128,8 +1128,8 @@ vendorlib_stem=''
 vendorlibexp=''
 vendorprefix=''
 vendorprefixexp=''
-version='5.27.6'
-version_patchlevel_string='version 27 subversion 6'
+version='5.27.7'
+version_patchlevel_string='version 27 subversion 7'
 versiononly='undef'
 vi=''
 xlibpth=''
@@ -1143,9 +1143,9 @@ config_args=''
 config_argc=0
 PERL_REVISION=5
 PERL_VERSION=27
-PERL_SUBVERSION=6
+PERL_SUBVERSION=7
 PERL_API_REVISION=5
 PERL_API_VERSION=27
-PERL_API_SUBVERSION=6
+PERL_API_SUBVERSION=7
 PERL_PATCHLEVEL=
 PERL_CONFIG_SH=true
index c1f8aa6..7423030 100644 (file)
@@ -63,7 +63,7 @@ INST_TOP := $(INST_DRV)\perl
 # versioned installation can be obtained by setting INST_TOP above to a
 # path that includes an arbitrary version string.
 #
-#INST_VER      := \5.27.6
+#INST_VER      := \5.27.7
 
 #
 # Comment this out if you DON'T want your perl installation to have
index ddbec3f..6983689 100644 (file)
@@ -38,7 +38,7 @@ INST_TOP      = $(INST_DRV)\perl
 # versioned installation can be obtained by setting INST_TOP above to a
 # path that includes an arbitrary version string.
 #
-#INST_VER      = \5.27.6
+#INST_VER      = \5.27.7
 
 #
 # Comment this out if you DON'T want your perl installation to have
index e569927..297cb36 100644 (file)
@@ -44,7 +44,7 @@ INST_TOP      *= $(INST_DRV)\perl
 # versioned installation can be obtained by setting INST_TOP above to a
 # path that includes an arbitrary version string.
 #
-#INST_VER      *= \5.27.6
+#INST_VER      *= \5.27.7
 
 #
 # Comment this out if you DON'T want your perl installation to have